a13nDocs

创建订阅

签名密钥仅在此响应中返回。

POST/api/v1/subscriptions

签名密钥仅在此响应中返回。

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

请求体

application/json

TypeScript 类型定义

在 TypeScript 中使用 request body 类型。

未提供 signing_secret 时由 Service 生成;无论哪种情况,只在本请求中返回。

响应体

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/subscriptions" \  -H "Content-Type: application/json" \  -d '{    "kinds": [      "run.accepted"    ],    "name": "string",    "url": "string"  }'
{  "created_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "enabled": true,  "filter": {    "agent_id": "string",    "session_id": "string",    "thread_id": "string"  },  "id": "string",  "kinds": [    "string"  ],  "name": "string",  "signing_secret": "string",  "updated_at": "2019-08-24T14:15:22Z",  "updated_by_id": "string",  "url": "string",  "version": 0,  "workspace_id": "string"}